org.codehaus.plexus.metadata.merge.support

## Class MergeStrategies

- java.lang.Object
- - org.codehaus.plexus.metadata.merge.support.MergeStrategies

    public class MergeStrategies
    extends java.lang.Object

Collection of available Merge Strategies.

TODO: Revisit and factor `Mergeable.merge(Mergeable)` to use a `MergeStrategy`.

Version:
  $Id: MergeStrategies.java 7689 2008-08-23 16:09:20Z jvanzyl $
Author:
  Rahul Thakur

### Field Summary

Fields
`static MergeStrategy` `DEEP` `MergeStrategy` implementation wherein the elements are merged down to the deepest available `Mergeable` instance in the DOM tree.
`static MergeStrategy` `SHALLOW` `MergeStrategy` implementation wherein only the element on which the merge operation is called is 'merged'.

### Constructor Summary

Constructors
Constructor and Description
`MergeStrategies()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEEP

    public static final MergeStrategy DEEP

`MergeStrategy` implementation wherein the elements are merged down to the deepest available `Mergeable` instance in the DOM tree.

#### SHALLOW

    public static final MergeStrategy SHALLOW

`MergeStrategy` implementation wherein only the element on which the merge operation is called is 'merged'. The merge does not traverse the DOM tree any further.

### Constructor Detail

#### MergeStrategies

    public MergeStrategies()